﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function CreateSpliceSampleList()
		SetDataFolder root:
			Variable/G G_SampleIncrement, G_StartingDepth, G_NumberOfSamples
			Variable SampleIncrement = G_SampleIncrement, StartingDepth = G_StartingDepth 
			Variable NumberOfSamples = G_NumberOfSamples
			String/G G_Site, G_Folder
			String Site = G_Site, Folder = G_Folder
			Prompt Site, "Site:"
			Prompt StartingDepth, "Starting Depth:"
			Prompt SampleIncrement, "Sampling Interval (m):"
			Prompt NumberOfSamples, "NumberOfSamples"
			DoPrompt "CreateSpliceSampleList", Site, StartingDepth, SampleIncrement, NumberOfSamples
			G_SampleIncrement = SampleIncrement; G_StartingDepth = StartingDepth 
			G_NumberOfSamples = NumberOfSamples; AbortOnValue V_Flag, 0
			Make/O/N = ( NumberOfSamples ) TempSampleDepths
			TempSampleDepths = StartingDepth + ( x * SampleIncrement )
			CSI_from_SpliceList_F( Site, "root:", "TempSampleDepths" )
			KillWaves/Z TempSampleDepths
		End	