﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	Function ImageSizeReduction( )
			String/G G_ImageIn, G_ImageOut
			String ImageIn = G_ImageIn, ImageOut = G_ImageOut
			Variable/G G_XReduction, G_YReduction
			Variable XReduction = G_XReduction, YReduction = G_YReduction
			Prompt ImageIn, "Original Image", popup, WaveList( "*", ";", "DIMS:3" )
			Prompt ImageOut, "Output Wave Name: "
			Prompt XReduction, "X Reduction factor ( e.g. .5,.25, etc )"
			Prompt YReduction, "Y Reduction factor ( e.g. .5,.25, etc )"
			DoPrompt "ImageSizeReduction", ImageIn, ImageOut, XReduction, YReduction
			G_ImageIn = ImageIn; G_ImageOut = ImageOut; G_XReduction = XReduction; G_YReduction = YReduction
			AbortOnValue V_Flag, 0
			ImageSizeReduction_F( ImageIn,  ImageOut, XReduction, YReduction )
			Print "ImageSizeReduction_F( " + "\"" + ImageIn + "\", " + "\"" + ImageOut + "\",", XReduction, ",", YReduction," )"
			WAVE WvIn = $ImageIn
			ImageInterpolate/F={XReduction,YReduction}  Bilinear WvIn
			WAVE M_InterpolatedImage
			ReDimension/B/U M_InterpolatedImage
			CopyScales/I WvIn, M_InterpolatedImage
			Duplicate/O M_InterpolatedImage, $ImageOut
			KillWaves/Z M_InterpolatedImage
	End		


	Function ImageSizeReduction_F( ImageIn,  ImageOut, XReduction, YReduction )
			String ImageIn, ImageOut
			Variable XReduction, YReduction
			WAVE WvIn = $ImageIn
			ImageInterpolate/F={XReduction,YReduction}  Bilinear WvIn
			WAVE M_InterpolatedImage
			ReDimension/B/U M_InterpolatedImage
			CopyScales/I WvIn, M_InterpolatedImage
			Duplicate/O M_InterpolatedImage, $ImageOut
			KillWaves/Z M_InterpolatedImage
	End		