#pragma rtGlobals=1		// Use modern global access method.

	Function Load_Core_Photo()
		SetDataFolder root:
			ImageLoad/T = any; 
			If( V_Flag == 0 )
				ABORT
			EndIf
			ImageRotate/O/A = -90  $S_FileName
			Duplicate/O $S_FileName Box_Image
			Killwaves $S_FileName
			If(!StrLen( WinList( "Box_Image_Plot", ";", "" ) ) )
				EXECUTE "Box_Image_Plot( )"
			EndIf
			DoWindow/F Box_Image_Plot
			Cursor/C=(0,33000,0)/T=3/I/A = 0 A Box_Image 80, DimSize( Box_Image, 1 ) - 400
			Cursor/C=(50000,0,0)/T=3/I B Box_Image 2650, DimSize( Box_Image, 1 ) - 50
			WAVE WaveX, WaveY
			If( WaveExists( WaveX ) )
				AppendToGraph WaveY vs WaveX
				ModifyGraph mode=3,msize=7,mrkThick=3,lsize=5
			EndIf
			CursorAOff()
//			DoWindow/H		
	EndMacro

	Function Load_Corrected_Photo()
		SetDataFolder root:
			String/G G_Folder, G_CoreImage
			String CoreImage = G_CoreImage
		SetDataFolder $G_Folder // G_Folder set by "SelectTableImageFolder()"
			Prompt CoreImage, "Select Core Image", popup, SortList( WaveList( "*", ";", "DIMS:3" ), ";", 16 )
			DoPrompt "Load_Core_Photo", CoreImage
			G_CoreImage = CoreImage
			If( V_Flag )
				SetDataFolder root:
			EndIf
			AbortOnValue V_Flag, 0
			WAVE CoreWv = $CoreImage
		SetDataFolder root:
			Duplicate/O CoreWv root:Box_Image
			If(!StrLen( WinList( "Box_Image_Plot", ";", "" ) ) )
				Display/N = Box_Image_Plot/W = (250,46,1800,900)
				AppendImage Box_Image; SetAxis/A/R left
				ShowInfo; ModifyGraph tick=3,mirror=2,noLabel=2
				Cursor/P/I/H=1 A Box_Image 0, 0; Cursor/P/I/H=1 B Box_Image 0, 0
			EndIf
			DoWindow/F Box_Image_Plot
			Cursor/C=(0,33000,0)/T=3/I/A = 0 A Box_Image 80, DimSize( Box_Image, 1 ) - 400
			Cursor/C=(50000,0,0)/T=3/I B Box_Image 2650, DimSize( Box_Image, 1 ) - 50
			Cursor/I/A = 0 A Box_Image 80, DimSize( Box_Image, 1 ) - 400
			Cursor/I B Box_Image 2650, DimSize( Box_Image, 1 ) - 50
			CursorAOff()	
	EndMacro

	Function SelectTableImageFolder()
		SetDataFolder root:
			String/G G_Folder
			String Folder, Folders = FolderList( "*" )
			Prompt Folder, "Table Image Folder", popup, Folders
			DoPrompt "SelectTableImageFolder", Folder
			G_Folder = Folder
			Print Folder
	End