#pragma rtGlobals=3		// Use modern global access method and strict wave access.

Menu "CODD_Revise_Splice"
	SubMenu "Set up"
		"InitializeReviseSplice"			
		"CoreImage_MultiPlot"
		"Data_MultiPlot"
		"Append_Spliced_Image"		
		"Append_Splice_Data"		
		"Append_Data"
		"Calculate_Splice_Lines"
		"Plot_Splice_Lines"
		"Add_CoreTags",/Q
		"Set_Data_Range"		
	End
	SubMenu "Update Offsets"
		"Shift_Offsets"
		"Shift_Offsets_B_2_A"
		"Shift_Offsets_B_2_A_1Core"
 		"ProcessOffsets"
		"Undo_Shift"
	End
	SubMenu "Update Tie points"
		"Splice_Tie_Table"
		"Splice_Interval_Table"
		"Splice_Tie_CCSF_ReCalc"
		"Calculate_Splice_Lines"
		"Csr_B_2_Csr_A"
		"Csr_A_2_Csr_B",/Q
		"Save_Cursor_Positions"
		"Cursors_2_Saved_Positions"
		"Print_Splice_Ties"
		"AppendCore2SpliceIntervalTable"		
		SubMenu "Splice_Format_Conversion"
			"Splice_Tie_Data_2_Intervals"
			"Splice_Interval_Data_2_Ties"
		End	
	End
	SubMenu "Splicing data\images"
		"SpliceImages"
		"SpliceData"
		"Append_Spliced_Image"		
		"Append_Splice_Data"		
		"Append_Data"
		"Calculate_Splice_Lines"
		"Plot_Splice_Lines"
	End
	" "	
	"Shift_Offsets"
	"Shift_Offsets_B_2_A"
	"Shift_Offsets_B_2_A_1Core"
	"ProcessOffsets"
	"Csr_B_2_Csr_A"	
	"Print_Splice_Ties"	
	"Splice_Tie_CCSF_ReCalc"	
	"Calculate_Splice_Lines"
End

#include "InitializeOffsetWaves"
#include "Add_Offsets_2_Matrix"
#include "CheckList4Semicolons"
#Include "ProcessOffsets"
#include "Csr_B_2_Csr_A"
#include "Shift_Offsets_B_2_A"
#include "Print_Splice_Ties"
#include "AppendCore2SpliceIntervalTable"
#include "Calculate_Splice_Lines"
#include "Csr_B_2_Csr_A"
#include "Offset_Data_and_Images"
#include "Plot_Splice_Lines"
#include "Select_Offsets"
#include "Save_Cursor_Positions"
#include "Splice_CCSF_ReCalc"
#include "Splice_Table_Templates"
#include "Splice_Data_Conversion"
#include "Splice_Interval_Functions"
#include "SpliceDataCheck"
#include "KillSpliceWaves"
