#pragma rtGlobals=1		// Use modern global access method.

// This pair of functions adds or removes labels for individual core images on a graph.

	------------------------------------------------------------------------
	
	 Function Add_CoreTags()
	 	SetDataFolder root:
			String Image, Core_Name, TagID
			Variable/G G_Y_Position, G_X_Position
			Variable i=0, Y_Position = G_Y_Position, X_Position = G_X_Position, LX;
			Prompt X_Position, "X offset from left edge in meters ( or Age scale units ):"
			Prompt Y_Position, "Y offset in Y units ( 100 is full scale, - is down, + is up ):"
			DoPrompt "Add_CoreTags", X_Position, Y_Position; AbortOnValue V_Flag, 0
			PauseUpdate;
			Remove_CoreTags( )
			If(!StrLen(ImageNameList("",";") ) )
				Abort("No Images in Top Graph")
			Endif
			Do
				Image = StringFromList(i,ImageNameList("",";"),";")
				TagID = "CoreTag" + Num2Str( i )
				If(StrLen(Image)<1)
					Break;
				EndIf
				If(StrSearch( Image, "Splice", 0 ) < 1 )
					Core_Name= Image[3,StrLen(Image)]
					LX= LeftX(ImageNameToWaveRef("",Image)) + X_Position
					Tag/I /N = $TagID /A=LT /F=0 /X=0 /Y = (Y_Position) /L = 0 $Image, LX, "\\Z12 "+Core_Name+" "
				EndIf
				i+=1
			While(1)
			G_X_Position = X_Position; G_Y_Position = Y_Position
	End	
___________________________________________
	
	Function Remove_CoreTags()
		Variable i = 0;
		PauseUpdate
		Do
			Execute "Tag/K/N=CoreTag"+Num2Str(i)
			i+=1;
		While(i<2000)
	End
	
	------------------------------------------------------------------------
