#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	------------------------------------------------------------------------
	
	Function TagText_ReSize(  )
		String/G G_TagSize
		String TagSize = G_TagSize, TagName, TagWave
		Variable TagPoint, Start, Start2
		Prompt TagSize, "Font Size for Tags ( Sizes less than 10 must be 2 digits, e.g. \"08\" "
		DoPrompt "TagText_ReSize", TagSize; AbortOnValue V_Flag, 0
		G_TagSize = TagSize
		If( StrLen( TagSize ) < 2 ) 
			ABORT "Font sizes less 10 need a Zero ( 0 ) before the digit.  e.g. 09"
		EndIf
		Variable i = 0;
		String TagList = AnnotationList( "" ), InfoList, TagText, NewTag
		PauseUpdate
		If( ItemsInList( TagList ) == 0 )
			Abort "There are no annotations on the top graph "
		EndIf
		Do
			TagName = StringFromList( i, TagList )
			InfoList = AnnotationInfo( "", TagName )
 			TagText = ExtractAIField( InfoLIst, "TEXT:" )
			TagWave = ExtractAIField( InfoLIst, "YWAVE:" )
			TagPoint = Str2Num( ExtractAIField( InfoLIst, "ATTACHX:" ) )
			TagText = "\\Z" + TagSize +"\\K(65535,0,0)" + TagText[ 19, 20 ] + " \\K(0,0,0)" + TagText[31,inf]
			Tag/C/N = $TagName  $TagWave, TagPoint, TagText
			i += 1;
		While( i < ItemsInList( TagList ) )
	End
	
	------------------------------------------------------------------------
#include <AnnotationInfo Procs>